<li class="comment">
  <h1>Commented by 
    <%= link_to comment.user_name, {:controller => "user", :action => "show", :id => comment.user_id}, "class" => "comment_user" %>
    <span class="comment_date"><%= comment.display_date_created %></span>&nbsp;&nbsp;
    <span class="comment_count">(<%= comment.comments_count %>)</span>&nbsp;&nbsp;
    <a id="reply_btn_<%= comment.id %>" class="reply_btn" onclick="javascript:toggleReply(<%= comment.id %>);" title="Reply to comment">Reply</a>
  </h1>
  <div <%= fade_id(comment.id) %>class="comment_msg"><%= textilize(comment.msg) %></div>
  <%= start_form_tag({:action => "comment_reply"}, {"id" => "reply_#{comment.id}", "class" => "toggle_frm", "style" => "display: none;", "onsubmit" => "javascript:return validateCommentForm('reply_#{comment.id}')"}) %>
  <input type="hidden" name="id" value="<%= comment.id %>" />
  <label for="msg">Comment:</label><br />
  <textarea name="msg" cols="60" rows="7"></textarea><br />
  <input type="submit" value="Reply" />&nbsp;&nbsp;(&nbsp;or&nbsp;<span onclick="javascript:toggleReply(<%= comment.id %>)">Cancel</span>&nbsp;)
  <%= end_form_tag %>
  <% if comment.comments_count > 0 -%>
  <ul class="comments">
    <%= render_collection_of_partials "comment", comment.children %>
  </ul>
  <% end -%>
</li>
